> This page is for version v2023-01-01.
> For other versions, use one of these documentation indexes:
> - v2026-04-01 (default): https://docs.givechariot.com/v2026-04-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# Request an access token

POST https://login.givechariot.com/oauth/token
Content-Type: application/json

Obtain an OAuth2 access token using client credentials

Reference: https://docs.givechariot.com/v2023-01-01/api/auth/get-token

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://login.givechariot.com` (Production, default)
- `https://chariot-sandbox.us.auth0.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects an object.

- `client_id` (string, required) — The client ID of the application
- `client_secret` (string, required) — The client secret of the application
- `audience` ("https://api.givechariot.com", required) — The API identifier
- `grant_type` ("client_credentials", required)

## Response

### 200

Successful response

- `access_token` (string, required)
- `token_type` (string, required)
- `expires_in` (integer, required)

## Examples

**Request**

```json
{
  "client_id": "chariot_app_12345",
  "client_secret": "s3cr3tK3y!@#",
  "audience": "https://api.givechariot.com",
  "grant_type": "client_credentials"
}
```

**Response**

```json
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
  "token_type": "Bearer",
  "expires_in": 3600
}
```